/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/openssl.h: client-to-server OpenSSL header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: openssl.h,v 1.3 2002/04/08 16:00:46 rageircd Exp $
 */

#ifndef __openssl_include__
#define __openssl_include__

#include "setup.h"

#ifdef HAVE_OPENSSL_ON

#define OPENSSL_CERT_FILE "cert.pem"
#define OPENSSL_KEY_FILE "key.pem"

#include <openssl/rsa.h>
#include <openssl/crypto.h>
#include <openssl/x509.h>
#include <openssl/pem.h>
#include <openssl/ssl.h>
#include <openssl/err.h>
#include <openssl/evp.h>

extern void init_openssl();
extern void openssl_remap_fd(SSL *, int);
extern char *openssl_get_cipher(SSL *);

#endif /* HAVE_OPENSSL_ON */

#endif /* __openssl_include__ */
