/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/patchlevel.h: patchlevel header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: patchlevel.h,v 1.18 2002/04/09 17:03:54 rageircd Exp $
 */

#ifndef __patchlevel_include__
#define __patchlevel_include__

#include "config.h"

#define	BASENAME	"rage"
#define	CODENAME	"bluemoon"
#define	MAJOR		2
#define	MINOR		0
#define REVISION	0

#define	PATCH1		".alpha-"
#define	PATCH2		"4"
#define	PATCH3		"(b2)"
#define	PATCH4		""
#define	PATCH5		""

#ifdef DEBUGMODE
#define DEBUGPATCH	"(debug)"
#else
#define DEBUGPATCH	""
#endif

#define	DEVEL		1
#define	BETA		2
#define	RELEASE		3
#define	STABLE		4
#define	SERIESSTATUS	DEVEL
#define	PATCHES		PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 DEBUGPATCH

void build_version(void);

/* PROTOCTL */

#define PROTOCTL_CHANTYPES	"#&"
#define PROTOCTL_PREFIX		"(ohv)@%+"

/* MODULE */

#define MIN_MODULE_VERSION	30000

#endif /* __patchlevel_include__ */
