/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/send.h: send header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: send.h,v 1.7 2002/04/08 16:00:46 rageircd Exp $
 */

#ifndef __send_include__
#define __send_include__

extern int send_queued(aClient *);

#include <stdarg.h>
#include "fdlist.h"

extern void init_send();
extern void send_chatops(char *, ...);
extern void send_globops(char *, ...);
extern void send_operwall(aClient *, char *, char *);
extern void sendto_all_butone(aClient *, aClient *, char *, ...);
extern void sendto_channel_butone(aClient *, aClient *, aChannel *, char *, ...);
extern void sendto_channel_butserv(aChannel *, aClient *, char *, ...);
extern void sendto_channelflag_butone(int, aClient *, aClient *, aChannel *, char *, ...);
extern void sendto_common_channels(aClient *, char *, ...);
extern void send_quit_to_common_channels(aClient *, char *);
extern void send_part_to_common_channels(aClient *);
extern void sendto_fdlist(fdlist *, char *, ...);
extern void sendto_locops(char *, ...);
extern void sendto_match_butone(aClient *, aClient *, char *, int, char *, ...);
extern void sendto_match_servs(aChannel *, aClient *, char *, ...);
extern void sendto_one(aClient *, char *, ...);
extern void sendto_ops(char *, ...);
extern void sendto_ops_butone(aClient *, aClient *, char *, ...);
extern void sendto_ops_lev(int, char *, ...);
extern void sendto_prefix_one(aClient *, aClient *, char *, ...);
extern void sendto_realops_lev(int, char *, ...);
extern void sendto_realops(char *, ...);
extern void sendto_serv_butone(aClient *, char *, ...);
extern void sendto_wallops_butone(aClient *, aClient *, char *, ...);
extern void sendto_gnotice(char *, ...);
extern void ts_warn(char *, ...);
extern void sendto_nickip_servs_butone(int, aClient *, char *, ...);
extern void sendto_ssjoin_servs_butone(aChannel *, aClient *, char *, ...);
extern void sendto_noquit_servs_butone(int, aClient *, char *, ...);
extern void vsendto_fdlist(fdlist *, char *, va_list);
extern void vsendto_one(aClient *, char *, va_list);
extern void vsendto_prefix_one(aClient *, aClient *, char *, va_list);
extern void vsendto_realops(char *, va_list);
extern void flush_connections();
extern void dump_connections();

#endif /* __send_include__ */
