/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * modules/m_dummy.c: DUMMY command module
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: m_dummy.c,v 1.8 2002/04/08 16:00:47 rageircd Exp $
 */

#include "config.h"
#include "struct.h"
#include "common.h"
#include "sys.h"
#include "numeric.h"
#include "msg.h"
#include "channel.h"
#include "h.h"
#include "memory.h"
#include <time.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>

int m_dummy(aClient *, aClient *, int, char **);

#ifndef STATIC_MODULES
Module _module_header = {
	"modules/m_dummy.so",	/* Name of Module */
	"DUMMY module",		/* Information about Module */
	30000,			/* Module Version (>= 30000) */
	NULL,			/* Pointer to dlopen */
	NULL			/* Pointer to _module_unload */
};
void _module_load(void) {
	/* add_Command() syntax:
	 *
	 * add_Command(a, b, c, d, e, f, g, h);
	 *
	 * a = command name (higher case)
	 * b = command function (defined below)
	 * c = 0
	 * d = maximum parameters (15)
	 * e = 1
	 * f = unregistered use (1 = yes, 0 = no)
	 * g = reset idle time (1 = yes, 0 = no)
	 * h = 0L
	 */
	add_Command("DUMMY", m_dummy, 0, 15, 1, 0, 0, 0L);
}
void _module_unload(void) {
	/* del_Command() syntax:
	 *
	 * del_Command(a, b);
	 *
	 * a = command name (higher case)
	 * b = command function (defined below)
	 */
	del_Command("DUMMY", m_dummy);
}
#endif

/*
 * m_dummy
 *	parv[0] = sender prefix
 */
int m_dummy(aClient *cptr, aClient *sptr, int parc, char *parv[])
{
	sendto_one(sptr, ":%s NOTICE %s :*** I'm a dummy module, you dummy!", me.name, parv[0]);
	return 0;
}
