/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * modules/m_version.c: VERSION command module
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: m_version.c,v 1.10 2002/04/08 16:00:49 rageircd Exp $
 */

#include "config.h"
#include "struct.h"
#include "common.h"
#include "sys.h"
#include "numeric.h"
#include "msg.h"
#include "channel.h"
#include "h.h"
#include "memory.h"
#include <time.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>

int m_version(aClient *, aClient *, int, char **);

extern char serveropts[];

#ifndef STATIC_MODULES
Module _module_header = {
	"modules/m_version.so",
	"/VERSION command",
	30000,
	NULL,
	NULL
};
void _module_load(void) {
	add_Command("VERSION", m_version, 0, 15, 1, 1, 0, 0L);
}
void _module_unload(void) {
	del_Command("VERSION", m_version);
}
#endif

/*
 * m_version
 *	parv[0] = sender prefix
 *	parv[1] = remote server
 */
int m_version(aClient *cptr, aClient *sptr, int parc, char *parv[])
{
	char *seriesstatus = "UNKNOWN";

	if (hunt_server(cptr, sptr, ":%s VERSION :%s", 1, parc, parv) == HUNTED_ISME) {
#if SERIESSTATUS == DEVEL
		seriesstatus = "DEVEL";
#elif SERIESSTATUS == BETA
		seriesstatus = "BETA";
#elif SERIESSTATUS == RELEASE
		seriesstatus = "RELEASE";
#elif SERIESSTATUS == STABLE
		seriesstatus = "STABLE";
#endif
		sendto_one(sptr, rpl_str(RPL_VERSION), me.name, parv[0], version,
#ifdef DEBUGMODE
			"build#", build,
#else
			"*", "",
#endif
			me.name, serveropts, TS_CURRENT, seriesstatus);
	}
	return 0;
}
