/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * tools/mkpasswd.c: password encryptor
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: mkpasswd.c,v 1.5 2002/04/08 17:05:56 rageircd Exp $
 */

/*
 * simple password generator by Nelson Minar (minar@reed.edu)
 * copyright 1991, all rights reserved.
 * You can use this code as long as my name stays with it.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

extern char *crypt();
extern char *getpass();

int main(int argc, char *argv[])
{
	static char saltChars[] = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789./";
	char salt[3], *plaintext;

	if (argc < 2) {
		srandom(time(0));
		salt[0] = saltChars[random() % 64];
		salt[1] = saltChars[random() % 64];
		salt[2] = '\0';
	}
	else {
		salt[0] = argv[1][0];
		salt[1] = argv[1][1];
		salt[2] = '\0';
		if (!strchr(saltChars, salt[0]) || !strchr(saltChars, salt[1])) {
			fprintf(stderr, "Illegal salt %s\n", salt);
			exit (1);
		}
	}

	plaintext = getpass("Enter plaintext to encrypt: ");
	fprintf(stderr, "Encrypted text: %s\n", crypt(plaintext, salt));
	return 1;
}
